<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "setting";
$formname = "Setting Print";
$file = "setting_print_fr.php";

$zdb = $_SESSION["zdbyear_" . $dbname];
$zroot = $_SESSION["zdir"];


mysqli_select_db($conn, $zdb);

$name = $_POST['name'];

$namecond = "";

if (!empty($name)) {
    $namecond = " AND `name`='$name' ";
}
$accodecond = "";


$getpmain = mysqli_query($conn, "SELECT `name` FROM `$maindb` WHERE code != ''  $namecond order by name")or die(mysqli_error($conn));

if (isset($_POST["view"])) {

    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>
            <div class="row">
                <div class="col-lg-12">
                    <table class="table table-condensed table-bordered">
                        <tr class="mySearchTr">
                            <th width="5%">Sr.</th>
                            <th width="90%">Name</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            $sname  = $pmain['name'];

                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$sname</td>";
                           
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}

if (isset($_POST["excel"])) {
   

    $contents .= "Sr., Name\n";
    $ctr = 0;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $ctr++;
        $contents .= $ctr . ",";
        $contents .= $pmain['name'] . "\n";
    }

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>

